#
# spec file for package python3-cssselect
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-cssselect
Version:        0.9.1
Release:        5.3
Summary:        CSS3 selectors for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://packages.python.org/cssselect/
Source:         http://pypi.python.org/packages/source/c/cssselect/cssselect-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
cssselect parses CSS3 Selectors and translates them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath engine to
find the matching elements in an XML or HTML document.

This module used to live inside of lxml as lxml.cssselect before it was
extracted as a stand-alone project.

%prep
%setup -q -n cssselect-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build
sed -i '/#!\/usr\/bin\/env python/d' cssselect/tests.py

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc LICENSE

%changelog
* Tue Jan 13 2015 arun@gmx.de
- changes: fixed some formating issues
- update to version 0.9.1:
  * Backward incompatible change from 0.9: selector_to_xpath()
    defaults to ignoring pseudo-elements, as it did in 0.8 and
    previous versions. (css_to_xpath() doesn’t change.)
  * Drop official support for Python 2.4 and 3.1, as testing was
    becoming difficult. Nothing will break overnight, but future
    releases may on may not work on these versions. Older releases
    will remain available on PyPI.
- changes from version 0.9:
  * Add parser support for functional pseudo-elements.
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Tue Jul  9 2013 arun@gmx.de
- Packaged LICENSE file
  * fixes bnc#828513
    Bug 828513 - LICENSE not packaged in python3-cssselect 0.8
* Thu Mar 28 2013 arun@gmx.de
- updated to 0.8
  * #22 Let extended translators override what XPathExpr class is used
  * #19 Use the built-in lang() XPath function for implementing the
    :lang() pseudo-class with XML documents. This is probably faster
    than ancestor-or-self::.
  * #14 Fix non-ASCII pseudo-classes. (Invalid selector instead of crash.)
  * #20 As per the spec, elements containing only whitespace are not
    considered empty for the :empty pseudo-class.
* Tue Jan  8 2013 iacobcatalin@gmail.com
- Initial package 0.7.1
